// Package parse provides tooling to build a state machine-style recursive descent parser.
package parse

// Handler defines the type of function that must be implemented to handle
// a parsing state in a Parser state machine.
//
// A Handler function gets an API struct as its input. This struct holds
// all the internal state for the parsing state machine and provides the
// interface that the Handler uses to interact with the parser.
type Handler func(*API)
